Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Class OrderImpl

    java.lang.Object
      org.hibernate.ejb.criteria.OrderImpl

All Implemented Interfaces:
  Serializable, Order

    public class OrderImpl

extends Object
implements Order, Serializable

Represents an `ORDER BY` fragment.

See Also:
  Serialized Form

Constructor Summary
`OrderImpl(Expression<?> expression)`
`OrderImpl(Expression<?> expression, boolean ascending)`

Method Summary
`Expression<?>` | `getExpression()`
`boolean` | `isAscending()`
`Order` | `reverse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderImpl

    public OrderImpl(Expression<?> expression)

### OrderImpl

    public OrderImpl(Expression<?> expression,
                     boolean ascending)

Method Detail

### reverse

    public Order reverse()

  Specified by:
    `reverse` in interface `Order`

### isAscending

    public boolean isAscending()

  Specified by:
    `isAscending` in interface `Order`

### getExpression

    public Expression<?> getExpression()

  Specified by:
    `getExpression` in interface `Order`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.